package e.daniel.rtr;

import android.app.Activity;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.Spinner;
import android.widget.Toast;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;



public class RegistroSuceso extends Activity  {
    String ServerUrl = "http://192.168.122.1/get_data.php";

    private Button enviarDato;
    //private Switch repuesto;
    Spinner local, tipoMantencion, maquinaria;
    String TempLocal, TempMantencion, TempMaquina, TempDescripcion;
    android.widget.EditText comentario;
    //Boolean TempTipoMant;
    //public static final String[] mantenciones = {"","Preventiva", "Emergencia"};
    public static final String[] locales = {"","Santa Isabel Villanelo", "Unimarc 7 Norte", "Mayorista 10 P. Montt"};
    //public static final String[] maquinas = {"","Horno", "Amasadora","Camara deFermentación","Revolvedora"};
    final List<String> cadenaaux=new ArrayList<String>();
    ArrayAdapter<String> adapterLocal;
   // ArrayAdapter<String> adapterMaquina;
    //ArrayAdapter<String> adapterMantencion;

    @Override
    public void onCreate(Bundle savedInstanceState){
        super.onCreate(savedInstanceState);
        setContentView(R.layout.register_activity);

        local = (Spinner) findViewById(R.id.localSpin);
        //maquinaria = (Spinner) findViewById(R.id.maquinariaSpin);
        //tipoMantencion = (Spinner) findViewById(R.id.manutencionSpin);
        comentario = (android.widget.EditText) findViewById(R.id.cual);

        adapterLocal = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_item, locales);
        //adapterMaquina = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_item, maquinas);
        //adapterMantencion = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_item, mantenciones);

        adapterLocal.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        //adapterMaquina.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        //adapterMantencion.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);

        local.setAdapter(adapterLocal);
       // maquinaria.setAdapter(adapterMaquina);
       // tipoMantencion.setAdapter(adapterMantencion);

        local.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_spinner_item, locales));
//        maquinaria.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_spinner_dropdown_item, maquinas));
//        tipoMantencion.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_spinner_item, mantenciones));

        //repuesto = (Switch) findViewById(R.id.repuesto);
        enviarDato = (Button) findViewById(R.id.addRegister);

        enviarDato.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                TempLocal=local.getSelectedItem().toString();
               // TempMaquina=maquinaria.getSelectedItem().toString();
               // TempMantencion=tipoMantencion.getSelectedItem().toString();
                TempDescripcion=comentario.getText().toString().trim();
                //GetData1();
                /*GetData2();
                GetData3();
                */

                InsertData(TempLocal, TempDescripcion);//,TempMantencion,TempMaquina, TempDescripcion);
            }
        });
    }




/*    public void GetData1(){


        TempLocal=local.getSelectedItem().toString();
        GetData2();
    }
    public void GetData2(){
        TempMaquina=maquinaria.getSelectedItem().toString();
        GetData3();
}
    public void GetData3(){

        TempMantencion=tipoMantencion.getSelectedItem().toString();
        TempDescripcion=comentario.getText().toString().trim();

    }*/

    public void InsertData( final String local, final String comentario){// final String mantencion, final String maquina,final String comentario){
       class SendPostReqAsyncTask extends AsyncTask<String, Void, String> {
            @Override
            protected String doInBackground(String... params) {

                String LocalHolder = local ;

                //String MaquinaHolder = maquina ;

                //String MantencionHolder = mantencion ;

                String ComentarioHolder = comentario;

                List<NameValuePair> nameValuePairs = new ArrayList<NameValuePair>();

                nameValuePairs.add(new BasicNameValuePair("local", LocalHolder));

                //nameValuePairs.add(new BasicNameValuePair("maquina", MaquinaHolder));

                //nameValuePairs.add(new BasicNameValuePair("mantencion", MantencionHolder));

                nameValuePairs.add(new BasicNameValuePair("comentario",ComentarioHolder));



                try {
                    HttpClient httpClient = new DefaultHttpClient();

                    HttpPost httpPost = new HttpPost(ServerUrl);

                    httpPost.setEntity(new UrlEncodedFormEntity(nameValuePairs));

                    HttpResponse httpResponse = httpClient.execute(httpPost);

                    HttpEntity httpEntity = httpResponse.getEntity();


                } catch (ClientProtocolException e) {

                } catch (IOException e) {

                }
                return "Data Inserted Successfully";
            }

            @Override
            protected void onPostExecute(String result) {

                super.onPostExecute(result);

                Toast.makeText(RegistroSuceso.this, "Data Submit Successfully", Toast.LENGTH_LONG).show();

            }
       }
       SendPostReqAsyncTask sendPostReqAsyncTask = new SendPostReqAsyncTask();

       sendPostReqAsyncTask.execute(local,comentario); //maquina,mantencion,
    }
}
